Skip to content

Image_AddMeta

PUT
/v1/Image/{resourceId}
curl --request PUT \
--url https://rms.dev.caspeco.net/api/booking/v1/Image/example \
--header 'Content-Type: application/json' \
--header 'system: example' \
--data '{ "tags": [ "example" ], "cropRatios": [ { "id": 1, "imageId": 1, "left": 1, "top": 1, "width": 1, "height": 1, "aspectRatio": "example" } ] }'
resourceId
required
string format: guid
system
required
string

The system name / database to query

Media typeapplication/json
object
tags
Array<string>
nullable
cropRatios
Array<object>
nullable
object
id
integer format: int64
nullable
imageId
integer format: int64
nullable
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
Examplegenerated
{
"tags": [
"example"
],
"cropRatios": [
{
"id": 1,
"imageId": 1,
"left": 1,
"top": 1,
"width": 1,
"height": 1,
"aspectRatio": "example"
}
]
}
Media typeapplication/json
string format: guid
Examplegenerated
example